Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkRenderWindow Class Reference

`#include <vtkRenderWindow.h>`

Inheritance diagram for vtkRenderWindow:

[legend]
Collaboration diagram for vtkRenderWindow:

[legend]
List of all members.

## Detailed Description

create a window for renderers to draw into

Date:
  2003/02/13 15:48:16

Revision:
  1.134

vtkRenderWindow is an abstract object to specify the behavior of a rendering window. A rendering window is a window in a graphical user interface where renderers draw their images. Methods are provided to synchronize the rendering process, set window size, and control double buffering. The window also allows rendering in stereo. The interlaced render stereo type is for output to a VRex stereo projector. All of the odd horizontal lines are from the left eye, and the even lines are from the right eye. The user has to make the render window aligned with the VRex projector, or the eye will be swapped.

Warning:
  In VTK versions 4 and later, the vtkWindowToImageFilter class is part of the canonical way to output an image of a window to a file (replacing the obsolete SaveImageAsPPM method for vtkRenderWindows that existed in 3.2 and earlier). Connect one of these filters to the output of the window, and filter's output to a writer such as vtkPNGWriter.

See also:
  vtkRenderer vtkRenderWindowInteractor vtkWindowToImageFilter

Events:
  vtkCommand::StartEvent vtkCommand::EndEvent vtkCommand::AbortCheckEvent

Created by:
  - Martin, Ken

CVS contributions (if > 5%):
  - Martin, Ken (59%)
  - Schroeder, Will (8%)
  - Law, Charles (5%)

CVS logs (CVSweb):
  - .`cxx` (`/Rendering/vtkRenderWindow.cxx)`
  - .`h` (`/Rendering/vtkRenderWindow.h)`

Examples:
  vtkRenderWindow (Examples)

Tests:
  vtkRenderWindow (Tests)

Definition at line 95 of file vtkRenderWindow.h.

## Public Types
typedef vtkWindow | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | AddRenderer (vtkRenderer *)
void | RemoveRenderer (vtkRenderer *)
vtkRendererCollection * | GetRenderers ()
virtual void | Render ()
virtual void | Start ()=0
virtual void | Frame ()=0
virtual void | CopyResultFrame ()
virtual vtkRenderWindowInteractor * | MakeRenderWindowInteractor ()
virtual void | StereoUpdate ()
virtual void | StereoMidpoint ()
virtual void | StereoRenderComplete ()
virtual void | WindowRemap ()=0
virtual int | GetIsPicking ()
virtual void | SetIsPicking (int)
virtual void | IsPickingOn ()
virtual void | IsPickingOff ()
virtual int | GetEventPending ()=0
virtual int | CheckInRenderStatus ()
virtual void | ClearInRenderStatus ()
virtual void | UnRegister (vtkObjectBase *o)
virtual void | MakeCurrent ()=0
virtual void | SetForceMakeCurrent ()
virtual const char * | ReportCapabilities ()
virtual int | SupportsOpenGL ()
virtual int | IsDirect ()
virtual int | GetDepthBufferSize ()=0
virtual void | HideCursor ()=0
virtual void | ShowCursor ()=0
virtual void | SetCursorPosition (int, int)
virtual void | SetCurrentCursor (int)
virtual int | GetCurrentCursor ()
virtual void | SetFullScreen (int)=0
virtual int | GetFullScreen ()
virtual void | FullScreenOn ()
virtual void | FullScreenOff ()
virtual void | SetBorders (int)
virtual int | GetBorders ()
virtual void | BordersOn ()
virtual void | BordersOff ()
virtual int | GetStereoCapableWindow ()
virtual void | StereoCapableWindowOn ()
virtual void | StereoCapableWindowOff ()
virtual void | SetStereoCapableWindow (int capable)
virtual int | GetStereoRender ()
void | SetStereoRender (int stereo)
virtual void | StereoRenderOn ()
virtual void | StereoRenderOff ()
virtual void | SetPointSmoothing (int)
virtual int | GetPointSmoothing ()
virtual void | PointSmoothingOn ()
virtual void | PointSmoothingOff ()
virtual void | SetLineSmoothing (int)
virtual int | GetLineSmoothing ()
virtual void | LineSmoothingOn ()
virtual void | LineSmoothingOff ()
virtual void | SetPolygonSmoothing (int)
virtual int | GetPolygonSmoothing ()
virtual void | PolygonSmoothingOn ()
virtual void | PolygonSmoothingOff ()
virtual int | GetStereoType ()
virtual void | SetStereoType (int)
void | SetStereoTypeToCrystalEyes ()
void | SetStereoTypeToRedBlue ()
void | SetStereoTypeToInterlaced ()
void | SetStereoTypeToLeft ()
void | SetStereoTypeToRight ()
void | SetStereoTypeToDresden ()
char * | GetStereoTypeAsString ()
virtual void | SetSwapBuffers (int)
virtual int | GetSwapBuffers ()
virtual void | SwapBuffersOn ()
virtual void | SwapBuffersOff ()
virtual int | SetPixelData (int, int, int, int, unsigned char *, int)=0
virtual int | SetPixelData (int, int, int, int, vtkUnsignedCharArray *, int)=0
virtual float * | GetRGBAPixelData (int,int,int,int,int)=0
virtual int | GetRGBAPixelData (int, int, int, int, int, vtkFloatArray *)=0
virtual int | SetRGBAPixelData (int,int,int,int,float *, int, int blend=0)=0
virtual int | SetRGBAPixelData (int, int, int, int, vtkFloatArray *, int, int blend=0)=0
virtual void | ReleaseRGBAPixelData (float *data)=0
virtual unsigned char * | GetRGBACharPixelData (int,int,int,int,int)=0
virtual int | GetRGBACharPixelData (int,int, int, int, int, vtkUnsignedCharArray *)=0
virtual int | SetRGBACharPixelData (int,int,int,int,unsigned char *, int, int blend=0)=0
virtual int | SetRGBACharPixelData (int, int, int, int, vtkUnsignedCharArray *, int, int blend=0)=0
virtual float * | GetZbufferData (int, int, int, int)=0
virtual int | GetZbufferData (int, int, int, int, vtkFloatArray *)=0
virtual int | SetZbufferData (int, int, int, int, float *)=0
virtual int | SetZbufferData (int, int, int, int, vtkFloatArray *)=0
virtual int | GetAAFrames ()
virtual void | SetAAFrames (int)
virtual int | GetFDFrames ()
virtual void | SetFDFrames (int)
virtual int | GetSubFrames ()
virtual void | SetSubFrames (int)
virtual int | GetNeverRendered ()
virtual int | GetAbortRender ()
virtual void | SetAbortRender (int)
virtual int | GetInAbortCheck ()
virtual void | SetInAbortCheck (int)
virtual int | CheckAbortStatus ()
void | SetAbortCheckMethod (void(*f)(void *), void *arg)
void | SetAbortCheckMethodArgDelete (void(*f)(void *))
void | SetDesiredUpdateRate (float)
virtual float | GetDesiredUpdateRate ()
virtual int | GetNumberOfLayers ()
virtual void | SetNumberOfLayers (int)
virtual vtkRenderWindowInteractor * | GetInteractor ()
void | SetInteractor (vtkRenderWindowInteractor *)
virtual void | SetDisplayId (void *)=0
virtual void | SetWindowId (void *)=0
virtual void | SetParentId (void *)=0
virtual void * | GetGenericDisplayId ()=0
virtual void * | GetGenericWindowId ()=0
virtual void * | GetGenericParentId ()=0
virtual void * | GetGenericContext ()=0
virtual void * | GetGenericDrawable ()=0
virtual void | SetWindowInfo (char *)=0
virtual void | SetParentInfo (char *)=0
## Static Public Methods
int | IsTypeOf (const char *type)
vtkRenderWindow * | SafeDownCast (vtkObject *o)
vtkRenderWindow * | New ()
const char * | GetRenderLibrary ()
## Protected Methods
| vtkRenderWindow ()
| ~vtkRenderWindow ()
virtual void | DoStereoRender ()
virtual void | DoFDRender ()
virtual void | DoAARender ()
## Protected Attributes
vtkRendererCollection * | Renderers
int | Borders
int | FullScreen
int | OldScreen [5]
int | PointSmoothing
int | LineSmoothing
int | PolygonSmoothing
int | StereoRender
int | StereoType
int | StereoStatus
int | StereoCapableWindow
vtkRenderWindowInteractor * | Interactor
unsigned char * | StereoBuffer
float * | AccumulationBuffer
unsigned int | AccumulationBufferSize
int | AAFrames
int | FDFrames
int | SubFrames
int | CurrentSubFrame
unsigned char * | ResultFrame
int | SwapBuffers
float | DesiredUpdateRate
int | AbortRender
int | InAbortCheck
int | InRender
int | NeverRendered
int | NumberOfLayers
void(* | AbortCheckMethod )(void *)
void(* | AbortCheckMethodArgDelete )(void *)
void * | AbortCheckMethodArg
int | CurrentCursor
int | IsPicking

## Member Typedef Documentation

typedef vtkWindow vtkRenderWindow::Superclass

| Reimplemented from vtkWindow. Reimplemented in vtkCarbonRenderWindow, vtkCocoaRenderWindow, vtkMesaRenderWindow, vtkOpenGLRenderWindow, vtkWin32OpenGLRenderWindow, vtkWinCEOpenGLRenderWindow, vtkXMesaRenderWindow, and vtkXOpenGLRenderWindow. Definition at line 98 of file vtkRenderWindow.h.

## Constructor & Destructor Documentation

vtkRenderWindow::vtkRenderWindow | ( |  | ) | `[protected]`

vtkRenderWindow::~vtkRenderWindow | ( |  | ) | `[protected]`

## Member Function Documentation

virtual const char* vtkRenderWindow::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkWindow. Reimplemented in vtkCarbonRenderWindow, vtkCocoaRenderWindow, vtkMesaRenderWindow, vtkOpenGLRenderWindow, vtkWin32OpenGLRenderWindow, vtkWinCEOpenGLRenderWindow, vtkXMesaRenderWindow, and vtkXOpenGLRenderWindow.

int vtkRenderWindow::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkWindow. Reimplemented in vtkCarbonRenderWindow, vtkCocoaRenderWindow, vtkMesaRenderWindow, vtkOpenGLRenderWindow, vtkWin32OpenGLRenderWindow, vtkWinCEOpenGLRenderWindow, vtkXMesaRenderWindow, and vtkXOpenGLRenderWindow.

virtual int vtkRenderWindow::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkWindow. Reimplemented in vtkCarbonRenderWindow, vtkCocoaRenderWindow, vtkMesaRenderWindow, vtkOpenGLRenderWindow, vtkWin32OpenGLRenderWindow, vtkWinCEOpenGLRenderWindow, vtkXMesaRenderWindow, and vtkXOpenGLRenderWindow.

vtkRenderWindow* vtkRenderWindow::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkWindow. Reimplemented in vtkCarbonRenderWindow, vtkCocoaRenderWindow, vtkMesaRenderWindow, vtkOpenGLRenderWindow, vtkWin32OpenGLRenderWindow, vtkWinCEOpenGLRenderWindow, vtkXMesaRenderWindow, and vtkXOpenGLRenderWindow.

void vtkRenderWindow::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkWindow. Reimplemented in vtkCarbonRenderWindow, vtkCocoaRenderWindow, vtkMesaRenderWindow, vtkOpenGLRenderWindow, vtkWin32OpenGLRenderWindow, vtkWinCEOpenGLRenderWindow, vtkXMesaRenderWindow, and vtkXOpenGLRenderWindow.

vtkRenderWindow* vtkRenderWindow::New | ( |  | ) | `[static]`

| Construct an instance of vtkRenderWindow with its screen size set to 300x300, borders turned on, positioned at (0,0), double buffering turned on. Reimplemented from vtkObject. Reimplemented in vtkCarbonRenderWindow, vtkCocoaRenderWindow, vtkWin32OpenGLRenderWindow, vtkWinCEOpenGLRenderWindow, vtkXMesaRenderWindow, and vtkXOpenGLRenderWindow.

virtual void vtkRenderWindow::AddRenderer | ( | vtkRenderer * |  | ) | `[virtual]`

| Add a renderer to the list of renderers.

void vtkRenderWindow::RemoveRenderer | ( | vtkRenderer * |  | ) |

| Remove a renderer from the list of renderers.

const char* vtkRenderWindow::GetRenderLibrary | ( |  | ) | `[static]`

| What rendering library has the user requested

vtkRendererCollection* vtkRenderWindow::GetRenderers | ( |  | ) | `[inline]`

| Return the collection of renderers in the render window. Definition at line 116 of file vtkRenderWindow.h.

virtual void vtkRenderWindow::Render | ( |  | ) | `[virtual]`

| Ask each renderer owned by this RenderWindow to render its image and synchronize this process. Implements vtkWindow. Reimplemented in vtkXMesaRenderWindow, and vtkXOpenGLRenderWindow.

virtual void vtkRenderWindow::Start | ( |  | ) | `[pure virtual]`

| Initialize the rendering process. Implemented in vtkCarbonRenderWindow, vtkCocoaRenderWindow, vtkWin32OpenGLRenderWindow, vtkWinCEOpenGLRenderWindow, vtkXMesaRenderWindow, and vtkXOpenGLRenderWindow.

virtual void vtkRenderWindow::Frame | ( |  | ) | `[pure virtual]`

| A termination method performed at the end of the rendering process to do things like swapping buffers (if necessary) or similar actions. Implemented in vtkCarbonRenderWindow, vtkCocoaRenderWindow, vtkWin32OpenGLRenderWindow, vtkWinCEOpenGLRenderWindow, vtkXMesaRenderWindow, and vtkXOpenGLRenderWindow.

virtual void vtkRenderWindow::CopyResultFrame | ( |  | ) | `[virtual]`

| Performed at the end of the rendering process to generate image. This is typically done right before swapping buffers.

virtual vtkRenderWindowInteractor* vtkRenderWindow::MakeRenderWindowInteractor | ( |  | ) | `[virtual]`

| Create an interactor to control renderers in this window. We need to know what type of interactor to create, because we might be in X Windows or MS Windows.

virtual void vtkRenderWindow::HideCursor | ( |  | ) | `[pure virtual]`

| Hide or Show the mouse cursor, it is nice to be able to hide the default cursor if you want VTK to display a 3D cursor instead. Set cursor position in window (note that (0,0) is the lower left corner). Implemented in vtkCarbonRenderWindow, vtkCocoaRenderWindow, vtkWin32OpenGLRenderWindow, vtkWinCEOpenGLRenderWindow, vtkXMesaRenderWindow, and vtkXOpenGLRenderWindow.

virtual void vtkRenderWindow::ShowCursor | ( |  | ) | `[pure virtual]`

| Hide or Show the mouse cursor, it is nice to be able to hide the default cursor if you want VTK to display a 3D cursor instead. Set cursor position in window (note that (0,0) is the lower left corner). Implemented in vtkCarbonRenderWindow, vtkCocoaRenderWindow, vtkWin32OpenGLRenderWindow, vtkWinCEOpenGLRenderWindow, vtkXMesaRenderWindow, and vtkXOpenGLRenderWindow.

virtual void vtkRenderWindow::SetCursorPosition | ( | int | ,
|  | int |
| ) | `[inline, virtual]`

| Hide or Show the mouse cursor, it is nice to be able to hide the default cursor if you want VTK to display a 3D cursor instead. Set cursor position in window (note that (0,0) is the lower left corner). Reimplemented in vtkWin32OpenGLRenderWindow. Definition at line 144 of file vtkRenderWindow.h.

virtual void vtkRenderWindow::SetCurrentCursor | ( | int |  | ) | `[virtual]`

| Change the shape of the cursor Reimplemented in vtkWin32OpenGLRenderWindow, vtkXMesaRenderWindow, and vtkXOpenGLRenderWindow.

virtual int vtkRenderWindow::GetCurrentCursor | ( |  | ) | `[virtual]`

| Change the shape of the cursor

virtual void vtkRenderWindow::SetFullScreen | ( | int |  | ) | `[pure virtual]`

| Turn on/off rendering full screen window size. Implemented in vtkCarbonRenderWindow, vtkCocoaRenderWindow, vtkWin32OpenGLRenderWindow, vtkWinCEOpenGLRenderWindow, vtkXMesaRenderWindow, and vtkXOpenGLRenderWindow.

virtual int vtkRenderWindow::GetFullScreen | ( |  | ) | `[virtual]`

| Turn on/off rendering full screen window size.

virtual void vtkRenderWindow::FullScreenOn | ( |  | ) | `[virtual]`

| Turn on/off rendering full screen window size.

virtual void vtkRenderWindow::FullScreenOff | ( |  | ) | `[virtual]`

| Turn on/off rendering full screen window size.

virtual void vtkRenderWindow::SetBorders | ( | int |  | ) | `[virtual]`

| Turn on/off window manager borders. Typically, you shouldn't turn the borders off, because that bypasses the window manager and can cause undesirable behavior.

virtual int vtkRenderWindow::GetBorders | ( |  | ) | `[virtual]`

| Turn on/off window manager borders. Typically, you shouldn't turn the borders off, because that bypasses the window manager and can cause undesirable behavior.

virtual void vtkRenderWindow::BordersOn | ( |  | ) | `[virtual]`

| Turn on/off window manager borders. Typically, you shouldn't turn the borders off, because that bypasses the window manager and can cause undesirable behavior.

virtual void vtkRenderWindow::BordersOff | ( |  | ) | `[virtual]`

| Turn on/off window manager borders. Typically, you shouldn't turn the borders off, because that bypasses the window manager and can cause undesirable behavior.

virtual int vtkRenderWindow::GetStereoCapableWindow | ( |  | ) | `[virtual]`

| Prescribe that the window be created in a stereo-capable mode. This method must be called before the window is realized. Default if off.

virtual void vtkRenderWindow::StereoCapableWindowOn | ( |  | ) | `[virtual]`

| Prescribe that the window be created in a stereo-capable mode. This method must be called before the window is realized. Default if off.

virtual void vtkRenderWindow::StereoCapableWindowOff | ( |  | ) | `[virtual]`

| Prescribe that the window be created in a stereo-capable mode. This method must be called before the window is realized. Default if off.

virtual void vtkRenderWindow::SetStereoCapableWindow | ( | int | capable | ) | `[virtual]`

| Prescribe that the window be created in a stereo-capable mode. This method must be called before the window is realized. Default if off. Reimplemented in vtkCarbonRenderWindow, vtkCocoaRenderWindow, vtkWin32OpenGLRenderWindow, vtkWinCEOpenGLRenderWindow, vtkXMesaRenderWindow, and vtkXOpenGLRenderWindow.

virtual int vtkRenderWindow::GetStereoRender | ( |  | ) | `[virtual]`

| Turn on/off stereo rendering.

void vtkRenderWindow::SetStereoRender | ( | int | stereo | ) |

| Turn on/off stereo rendering.

virtual void vtkRenderWindow::StereoRenderOn | ( |  | ) | `[virtual]`

| Turn on/off stereo rendering.

virtual void vtkRenderWindow::StereoRenderOff | ( |  | ) | `[virtual]`

| Turn on/off stereo rendering.

virtual void vtkRenderWindow::SetPointSmoothing | ( | int |  | ) | `[virtual]`

| Turn on/off point smoothing. Default is off. This must be applied before the first Render.

virtual int vtkRenderWindow::GetPointSmoothing | ( |  | ) | `[virtual]`

| Turn on/off point smoothing. Default is off. This must be applied before the first Render.

virtual void vtkRenderWindow::PointSmoothingOn | ( |  | ) | `[virtual]`

| Turn on/off point smoothing. Default is off. This must be applied before the first Render.

virtual void vtkRenderWindow::PointSmoothingOff | ( |  | ) | `[virtual]`

| Turn on/off point smoothing. Default is off. This must be applied before the first Render.

virtual void vtkRenderWindow::SetLineSmoothing | ( | int |  | ) | `[virtual]`

| Turn on/off line smoothing. Default is off. This must be applied before the first Render.

virtual int vtkRenderWindow::GetLineSmoothing | ( |  | ) | `[virtual]`

| Turn on/off line smoothing. Default is off. This must be applied before the first Render.

virtual void vtkRenderWindow::LineSmoothingOn | ( |  | ) | `[virtual]`

| Turn on/off line smoothing. Default is off. This must be applied before the first Render.

virtual void vtkRenderWindow::LineSmoothingOff | ( |  | ) | `[virtual]`

| Turn on/off line smoothing. Default is off. This must be applied before the first Render.

virtual void vtkRenderWindow::SetPolygonSmoothing | ( | int |  | ) | `[virtual]`

| Turn on/off polygon smoothing. Default is off. This must be applied before the first Render.

virtual int vtkRenderWindow::GetPolygonSmoothing | ( |  | ) | `[virtual]`

| Turn on/off polygon smoothing. Default is off. This must be applied before the first Render.

virtual void vtkRenderWindow::PolygonSmoothingOn | ( |  | ) | `[virtual]`

| Turn on/off polygon smoothing. Default is off. This must be applied before the first Render.

virtual void vtkRenderWindow::PolygonSmoothingOff | ( |  | ) | `[virtual]`

| Turn on/off polygon smoothing. Default is off. This must be applied before the first Render.

virtual int vtkRenderWindow::GetStereoType | ( |  | ) | `[virtual]`

| Set/Get what type of stereo rendering to use.

virtual void vtkRenderWindow::SetStereoType | ( | int |  | ) | `[virtual]`

| Set/Get what type of stereo rendering to use.

void vtkRenderWindow::SetStereoTypeToCrystalEyes | ( |  | ) | `[inline]`

| Set/Get what type of stereo rendering to use. Definition at line 212 of file vtkRenderWindow.h. References VTK_STEREO_CRYSTAL_EYES.

void vtkRenderWindow::SetStereoTypeToRedBlue | ( |  | ) | `[inline]`

| Set/Get what type of stereo rendering to use. Definition at line 214 of file vtkRenderWindow.h. References VTK_STEREO_RED_BLUE.

void vtkRenderWindow::SetStereoTypeToInterlaced | ( |  | ) | `[inline]`

| Set/Get what type of stereo rendering to use. Definition at line 216 of file vtkRenderWindow.h. References VTK_STEREO_INTERLACED.

void vtkRenderWindow::SetStereoTypeToLeft | ( |  | ) | `[inline]`

| Set/Get what type of stereo rendering to use. Definition at line 218 of file vtkRenderWindow.h. References VTK_STEREO_LEFT.

void vtkRenderWindow::SetStereoTypeToRight | ( |  | ) | `[inline]`

| Set/Get what type of stereo rendering to use. Definition at line 220 of file vtkRenderWindow.h. References VTK_STEREO_RIGHT.

void vtkRenderWindow::SetStereoTypeToDresden | ( |  | ) | `[inline]`

| Set/Get what type of stereo rendering to use. Definition at line 222 of file vtkRenderWindow.h. References VTK_STEREO_DRESDEN.

char * vtkRenderWindow::GetStereoTypeAsString | ( | void |  | ) | `[inline]`

| Return the stereo type as a character string. Definition at line 475 of file vtkRenderWindow.h. References StereoType, VTK_STEREO_CRYSTAL_EYES, VTK_STEREO_DRESDEN, VTK_STEREO_LEFT, VTK_STEREO_RED_BLUE, and VTK_STEREO_RIGHT.

virtual void vtkRenderWindow::StereoUpdate | ( |  | ) | `[virtual]`

| Update the system, if needed, due to stereo rendering. For some stereo methods, subclasses might need to switch some hardware settings here. Reimplemented in vtkCocoaRenderWindow, vtkMesaRenderWindow, and vtkOpenGLRenderWindow.

virtual void vtkRenderWindow::StereoMidpoint | ( |  | ) | `[virtual]`

| Intermediate method performs operations required between the rendering of the left and right eye.

virtual void vtkRenderWindow::StereoRenderComplete | ( |  | ) | `[virtual]`

| Handles work required once both views have been rendered when using stereo rendering.

virtual void vtkRenderWindow::WindowRemap | ( |  | ) | `[pure virtual]`

| Remap the rendering window. This probably only works on UNIX right now. It is useful for changing properties that can't normally be changed once the window is up. Implemented in vtkCarbonRenderWindow, vtkCocoaRenderWindow, vtkWin32OpenGLRenderWindow, vtkWinCEOpenGLRenderWindow, vtkXMesaRenderWindow, and vtkXOpenGLRenderWindow.

virtual void vtkRenderWindow::SetSwapBuffers | ( | int |  | ) | `[virtual]`

| Turn on/off buffer swapping between images.

virtual int vtkRenderWindow::GetSwapBuffers | ( |  | ) | `[virtual]`

| Turn on/off buffer swapping between images.

virtual void vtkRenderWindow::SwapBuffersOn | ( |  | ) | `[virtual]`

| Turn on/off buffer swapping between images.

virtual void vtkRenderWindow::SwapBuffersOff | ( |  | ) | `[virtual]`

| Turn on/off buffer swapping between images.

virtual int vtkRenderWindow::SetPixelData | ( | int | ,
|  | int | ,
|  | int | ,
|  | int | ,
|  | unsigned char * | ,
|  | int |
| ) | `[pure virtual]`

| Set/Get the pixel data of an image, transmitted as RGBRGBRGB. The front argument indicates if the front buffer should be used or the back buffer. It is the caller's responsibility to delete the resulting array. It is very important to realize that the memory in this array is organized from the bottom of the window to the top. The origin of the screen is in the lower left corner. The y axis increases as you go up the screen. So the storage of pixels is from left to right and from bottom to top. Implemented in vtkMesaRenderWindow, and vtkOpenGLRenderWindow.

virtual int vtkRenderWindow::SetPixelData | ( | int | ,
|  | int | ,
|  | int | ,
|  | int | ,
|  | vtkUnsignedCharArray * | ,
|  | int |
| ) | `[pure virtual]`

| Set/Get the pixel data of an image, transmitted as RGBRGBRGB. The front argument indicates if the front buffer should be used or the back buffer. It is the caller's responsibility to delete the resulting array. It is very important to realize that the memory in this array is organized from the bottom of the window to the top. The origin of the screen is in the lower left corner. The y axis increases as you go up the screen. So the storage of pixels is from left to right and from bottom to top. Implemented in vtkMesaRenderWindow, and vtkOpenGLRenderWindow.

virtual float* vtkRenderWindow::GetRGBAPixelData | ( | int | ,
|  | int | ,
|  | int | ,
|  | int | ,
|  | int |
| ) | `[pure virtual]`

| Same as Get/SetPixelData except that the image also contains an alpha component. The image is transmitted as RGBARGBARGBA... each of which is a float value. The "blend" parameter controls whether the SetRGBAPixelData method blends the data with the previous contents of the frame buffer or completely replaces the frame buffer data. Implemented in vtkMesaRenderWindow, and vtkOpenGLRenderWindow.

virtual int vtkRenderWindow::GetRGBAPixelData | ( | int | ,
|  | int | ,
|  | int | ,
|  | int | ,
|  | int | ,
|  | vtkFloatArray * |
| ) | `[pure virtual]`

| Same as Get/SetPixelData except that the image also contains an alpha component. The image is transmitted as RGBARGBARGBA... each of which is a float value. The "blend" parameter controls whether the SetRGBAPixelData method blends the data with the previous contents of the frame buffer or completely replaces the frame buffer data. Implemented in vtkMesaRenderWindow, and vtkOpenGLRenderWindow.

virtual int vtkRenderWindow::SetRGBAPixelData | ( | int | ,
|  | int | ,
|  | int | ,
|  | int | ,
|  | float * | ,
|  | int | ,
|  | int | blend = 0
| ) | `[pure virtual]`

| Same as Get/SetPixelData except that the image also contains an alpha component. The image is transmitted as RGBARGBARGBA... each of which is a float value. The "blend" parameter controls whether the SetRGBAPixelData method blends the data with the previous contents of the frame buffer or completely replaces the frame buffer data. Implemented in vtkMesaRenderWindow, and vtkOpenGLRenderWindow.

virtual int vtkRenderWindow::SetRGBAPixelData | ( | int | ,
|  | int | ,
|  | int | ,
|  | int | ,
|  | vtkFloatArray * | ,
|  | int | ,
|  | int | blend = 0
| ) | `[pure virtual]`

| Same as Get/SetPixelData except that the image also contains an alpha component. The image is transmitted as RGBARGBARGBA... each of which is a float value. The "blend" parameter controls whether the SetRGBAPixelData method blends the data with the previous contents of the frame buffer or completely replaces the frame buffer data. Implemented in vtkMesaRenderWindow, and vtkOpenGLRenderWindow.

virtual void vtkRenderWindow::ReleaseRGBAPixelData | ( | float * | data | ) | `[pure virtual]`

| Same as Get/SetPixelData except that the image also contains an alpha component. The image is transmitted as RGBARGBARGBA... each of which is a float value. The "blend" parameter controls whether the SetRGBAPixelData method blends the data with the previous contents of the frame buffer or completely replaces the frame buffer data. Implemented in vtkMesaRenderWindow, and vtkOpenGLRenderWindow.

virtual unsigned char* vtkRenderWindow::GetRGBACharPixelData | ( | int | ,
|  | int | ,
|  | int | ,
|  | int | ,
|  | int |
| ) | `[pure virtual]`

| Same as Get/SetPixelData except that the image also contains an alpha component. The image is transmitted as RGBARGBARGBA... each of which is a float value. The "blend" parameter controls whether the SetRGBAPixelData method blends the data with the previous contents of the frame buffer or completely replaces the frame buffer data. Implemented in vtkMesaRenderWindow, and vtkOpenGLRenderWindow.

virtual int vtkRenderWindow::GetRGBACharPixelData | ( | int | ,
|  | int | ,
|  | int | ,
|  | int | ,
|  | int | ,
|  | vtkUnsignedCharArray * |
| ) | `[pure virtual]`

| Same as Get/SetPixelData except that the image also contains an alpha component. The image is transmitted as RGBARGBARGBA... each of which is a float value. The "blend" parameter controls whether the SetRGBAPixelData method blends the data with the previous contents of the frame buffer or completely replaces the frame buffer data. Implemented in vtkMesaRenderWindow, and vtkOpenGLRenderWindow.

virtual int vtkRenderWindow::SetRGBACharPixelData | ( | int | ,
|  | int | ,
|  | int | ,
|  | int | ,
|  | unsigned char * | ,
|  | int | ,
|  | int | blend = 0
| ) | `[pure virtual]`

| Same as Get/SetPixelData except that the image also contains an alpha component. The image is transmitted as RGBARGBARGBA... each of which is a float value. The "blend" parameter controls whether the SetRGBAPixelData method blends the data with the previous contents of the frame buffer or completely replaces the frame buffer data. Implemented in vtkMesaRenderWindow, and vtkOpenGLRenderWindow.

virtual int vtkRenderWindow::SetRGBACharPixelData | ( | int | ,
|  | int | ,
|  | int | ,
|  | int | ,
|  | vtkUnsignedCharArray * | ,
|  | int | ,
|  | int | blend = 0
| ) | `[pure virtual]`

| Same as Get/SetPixelData except that the image also contains an alpha component. The image is transmitted as RGBARGBARGBA... each of which is a float value. The "blend" parameter controls whether the SetRGBAPixelData method blends the data with the previous contents of the frame buffer or completely replaces the frame buffer data. Implemented in vtkMesaRenderWindow, and vtkOpenGLRenderWindow.

virtual float* vtkRenderWindow::GetZbufferData | ( | int | ,
|  | int | ,
|  | int | ,
|  | int |
| ) | `[pure virtual]`

| Set/Get the zbuffer data from the frame buffer. Implemented in vtkMesaRenderWindow, and vtkOpenGLRenderWindow.

virtual int vtkRenderWindow::GetZbufferData | ( | int | ,
|  | int | ,
|  | int | ,
|  | int | ,
|  | vtkFloatArray * |
| ) | `[pure virtual]`

| Set/Get the zbuffer data from the frame buffer. Implemented in vtkMesaRenderWindow, and vtkOpenGLRenderWindow.

virtual int vtkRenderWindow::SetZbufferData | ( | int | ,
|  | int | ,
|  | int | ,
|  | int | ,
|  | float * |
| ) | `[pure virtual]`

| Set/Get the zbuffer data from the frame buffer. Implemented in vtkMesaRenderWindow, and vtkOpenGLRenderWindow.

virtual int vtkRenderWindow::SetZbufferData | ( | int | ,
|  | int | ,
|  | int | ,
|  | int | ,
|  | vtkFloatArray * |
| ) | `[pure virtual]`

| Set/Get the zbuffer data from the frame buffer. Implemented in vtkMesaRenderWindow, and vtkOpenGLRenderWindow.

virtual int vtkRenderWindow::GetAAFrames | ( |  | ) | `[virtual]`

| Set the number of frames for doing antialiasing. The default is zero. Typically five or six will yield reasonable results without taking too long.

virtual void vtkRenderWindow::SetAAFrames | ( | int |  | ) | `[virtual]`

| Set the number of frames for doing antialiasing. The default is zero. Typically five or six will yield reasonable results without taking too long.

virtual int vtkRenderWindow::GetFDFrames | ( |  | ) | `[virtual]`

| Set the number of frames for doing focal depth. The default is zero. Depending on how your scene is organized you can get away with as few as four frames for focal depth or you might need thirty. One thing to note is that if you are using focal depth frames, then you will not need many (if any) frames for antialiasing.

virtual void vtkRenderWindow::SetFDFrames | ( | int |  | ) | `[virtual]`

| Set the number of frames for doing focal depth. The default is zero. Depending on how your scene is organized you can get away with as few as four frames for focal depth or you might need thirty. One thing to note is that if you are using focal depth frames, then you will not need many (if any) frames for antialiasing.

virtual int vtkRenderWindow::GetSubFrames | ( |  | ) | `[virtual]`

| Set the number of sub frames for doing motion blur. The default is zero. Once this is set greater than one, you will no longer see a new frame for every Render(). If you set this to five, you will need to do five Render() invocations before seeing the result. This isn't very impressive unless something is changing between the Renders.

virtual void vtkRenderWindow::SetSubFrames | ( | int |  | ) | `[virtual]`

| Set the number of sub frames for doing motion blur. The default is zero. Once this is set greater than one, you will no longer see a new frame for every Render(). If you set this to five, you will need to do five Render() invocations before seeing the result. This isn't very impressive unless something is changing between the Renders.

virtual int vtkRenderWindow::GetNeverRendered | ( |  | ) | `[virtual]`

| This flag is set if the window hasn't rendered since it was created

virtual int vtkRenderWindow::GetAbortRender | ( |  | ) | `[virtual]`

| This is a flag that can be set to interrupt a rendering that is in progress.

virtual void vtkRenderWindow::SetAbortRender | ( | int |  | ) | `[virtual]`

| This is a flag that can be set to interrupt a rendering that is in progress.

virtual int vtkRenderWindow::GetInAbortCheck | ( |  | ) | `[virtual]`

| This is a flag that can be set to interrupt a rendering that is in progress.

virtual void vtkRenderWindow::SetInAbortCheck | ( | int |  | ) | `[virtual]`

| This is a flag that can be set to interrupt a rendering that is in progress.

virtual int vtkRenderWindow::CheckAbortStatus | ( |  | ) | `[virtual]`

| This is a flag that can be set to interrupt a rendering that is in progress.

virtual int vtkRenderWindow::GetIsPicking | ( |  | ) | `[virtual]`

virtual void vtkRenderWindow::SetIsPicking | ( | int |  | ) | `[virtual]`

virtual void vtkRenderWindow::IsPickingOn | ( |  | ) | `[virtual]`

virtual void vtkRenderWindow::IsPickingOff | ( |  | ) | `[virtual]`

virtual int vtkRenderWindow::GetEventPending | ( |  | ) | `[pure virtual]`

| Check to see if a mouse button has been pressed. All other events are ignored by this method. Ideally, you want to abort the render on any event which causes the DesiredUpdateRate to switch from a high-quality rate to a more interactive rate. Implemented in vtkCarbonRenderWindow, vtkCocoaRenderWindow, vtkWin32OpenGLRenderWindow, vtkWinCEOpenGLRenderWindow, vtkXMesaRenderWindow, and vtkXOpenGLRenderWindow.

virtual int vtkRenderWindow::CheckInRenderStatus | ( |  | ) | `[inline, virtual]`

| Are we rendering at the moment Definition at line 351 of file vtkRenderWindow.h.

virtual void vtkRenderWindow::ClearInRenderStatus | ( |  | ) | `[inline, virtual]`

| Clear status (after an exception was thrown for example) Definition at line 354 of file vtkRenderWindow.h.

void vtkRenderWindow::SetAbortCheckMethod | ( | void(* | f)(void *),
|  | void * | arg
| ) |

| For legacy compatibility. Do not use.

void vtkRenderWindow::SetAbortCheckMethodArgDelete | ( | void(* | f)(void *) | ) |

| For legacy compatibility. Do not use.

void vtkRenderWindow::SetDesiredUpdateRate | ( | float |  | ) |

| Set/Get the desired update rate. This is used with the vtkLODActor class. When using level of detail actors you need to specify what update rate you require. The LODActors then will pick the correct resolution to meet your desired update rate in frames per second. A value of zero indicates that they can use all the time they want to.

virtual float vtkRenderWindow::GetDesiredUpdateRate | ( |  | ) | `[virtual]`

| Set/Get the desired update rate. This is used with the vtkLODActor class. When using level of detail actors you need to specify what update rate you require. The LODActors then will pick the correct resolution to meet your desired update rate in frames per second. A value of zero indicates that they can use all the time they want to.

virtual int vtkRenderWindow::GetNumberOfLayers | ( |  | ) | `[virtual]`

| Get the number of layers for renderers. Each renderer should have its layer set individually. Some algorithms iterate through all layers, so it is not wise to set the number of layers to be exorbitantly large (say bigger than 100).

virtual void vtkRenderWindow::SetNumberOfLayers | ( | int |  | ) | `[virtual]`

| Get the number of layers for renderers. Each renderer should have its layer set individually. Some algorithms iterate through all layers, so it is not wise to set the number of layers to be exorbitantly large (say bigger than 100).

virtual vtkRenderWindowInteractor* vtkRenderWindow::GetInteractor | ( |  | ) | `[virtual]`

| Get the interactor associated with this render window

void vtkRenderWindow::SetInteractor | ( | vtkRenderWindowInteractor * |  | ) |

| Get the interactor associated with this render window

virtual void vtkRenderWindow::UnRegister | ( | vtkObjectBase * | o | ) | `[virtual]`

| This Method detects loops of RenderWindow<->Interactor, so objects are freed properly. Reimplemented from vtkObject.

virtual void vtkRenderWindow::SetDisplayId | ( | void * |  | ) | `[pure virtual]`

| Dummy stubs for vtkWindow API. Implements vtkWindow. Implemented in vtkCarbonRenderWindow, vtkCocoaRenderWindow, vtkWin32OpenGLRenderWindow, vtkWinCEOpenGLRenderWindow, vtkXMesaRenderWindow, and vtkXOpenGLRenderWindow. Referenced by Java_vtk_vtkPanel_RenderCreate().

virtual void vtkRenderWindow::SetWindowId | ( | void * |  | ) | `[pure virtual]`

| Dummy stubs for vtkWindow API. Implements vtkWindow. Implemented in vtkCarbonRenderWindow, vtkCocoaRenderWindow, vtkWin32OpenGLRenderWindow, vtkWinCEOpenGLRenderWindow, vtkXMesaRenderWindow, and vtkXOpenGLRenderWindow. Referenced by Java_vtk_vtkPanel_RenderCreate(), vtkWinCEOpenGLRenderWindow::SetWindowId(), vtkWin32OpenGLRenderWindow::SetWindowId(), and vtkCarbonRenderWindow::SetWindowId().

virtual void vtkRenderWindow::SetParentId | ( | void * |  | ) | `[pure virtual]`

| Dummy stubs for vtkWindow API. Implements vtkWindow. Implemented in vtkCarbonRenderWindow, vtkCocoaRenderWindow, vtkWin32OpenGLRenderWindow, vtkWinCEOpenGLRenderWindow, vtkXMesaRenderWindow, and vtkXOpenGLRenderWindow. Referenced by Java_vtk_vtkPanel_RenderCreate(), vtkWinCEOpenGLRenderWindow::SetParentId(), vtkWin32OpenGLRenderWindow::SetParentId(), and vtkCarbonRenderWindow::SetParentId().

virtual void* vtkRenderWindow::GetGenericDisplayId | ( |  | ) | `[pure virtual]`

| Dummy stubs for vtkWindow API. Implements vtkWindow. Implemented in vtkCarbonRenderWindow, vtkCocoaRenderWindow, vtkWin32OpenGLRenderWindow, vtkWinCEOpenGLRenderWindow, vtkXMesaRenderWindow, and vtkXOpenGLRenderWindow.

virtual void* vtkRenderWindow::GetGenericWindowId | ( |  | ) | `[pure virtual]`

| Dummy stubs for vtkWindow API. Implements vtkWindow. Implemented in vtkCarbonRenderWindow, vtkCocoaRenderWindow, vtkWin32OpenGLRenderWindow, vtkWinCEOpenGLRenderWindow, vtkXMesaRenderWindow, and vtkXOpenGLRenderWindow.

virtual void* vtkRenderWindow::GetGenericParentId | ( |  | ) | `[pure virtual]`

| Dummy stubs for vtkWindow API. Implements vtkWindow. Implemented in vtkCarbonRenderWindow, vtkCocoaRenderWindow, vtkWin32OpenGLRenderWindow, vtkWinCEOpenGLRenderWindow, vtkXMesaRenderWindow, and vtkXOpenGLRenderWindow.

virtual void* vtkRenderWindow::GetGenericContext | ( |  | ) | `[pure virtual]`

| Dummy stubs for vtkWindow API. Implements vtkWindow. Implemented in vtkCarbonRenderWindow, vtkCocoaRenderWindow, vtkWin32OpenGLRenderWindow, vtkWinCEOpenGLRenderWindow, vtkXMesaRenderWindow, and vtkXOpenGLRenderWindow.

virtual void* vtkRenderWindow::GetGenericDrawable | ( |  | ) | `[pure virtual]`

| Dummy stubs for vtkWindow API. Implements vtkWindow. Implemented in vtkCarbonRenderWindow, vtkCocoaRenderWindow, vtkWin32OpenGLRenderWindow, vtkXMesaRenderWindow, and vtkXOpenGLRenderWindow.

virtual void vtkRenderWindow::SetWindowInfo | ( | char * |  | ) | `[pure virtual]`

| Dummy stubs for vtkWindow API. Implements vtkWindow. Implemented in vtkCarbonRenderWindow, vtkCocoaRenderWindow, vtkWin32OpenGLRenderWindow, vtkWinCEOpenGLRenderWindow, vtkXMesaRenderWindow, and vtkXOpenGLRenderWindow.

virtual void vtkRenderWindow::SetParentInfo | ( | char * |  | ) | `[pure virtual]`

| Dummy stubs for vtkWindow API. Implements vtkWindow. Implemented in vtkCarbonRenderWindow, vtkCocoaRenderWindow, vtkWin32OpenGLRenderWindow, vtkWinCEOpenGLRenderWindow, vtkXMesaRenderWindow, and vtkXOpenGLRenderWindow.

virtual void vtkRenderWindow::MakeCurrent | ( |  | ) | `[pure virtual]`

| Make this the current window. Reimplemented from vtkWindow. Implemented in vtkCarbonRenderWindow, vtkCocoaRenderWindow, vtkMesaRenderWindow, vtkOpenGLRenderWindow, vtkWin32OpenGLRenderWindow, vtkWinCEOpenGLRenderWindow, vtkXMesaRenderWindow, and vtkXOpenGLRenderWindow.

virtual void vtkRenderWindow::SetForceMakeCurrent | ( |  | ) | `[inline, virtual]`

| If called, allow MakeCurrent() to skip cache-check when called. MakeCurrent() reverts to original behavior of cache-checking on the next render. Reimplemented in vtkCarbonRenderWindow, vtkCocoaRenderWindow, vtkWinCEOpenGLRenderWindow, vtkXMesaRenderWindow, and vtkXOpenGLRenderWindow. Definition at line 413 of file vtkRenderWindow.h.

virtual const char* vtkRenderWindow::ReportCapabilities | ( |  | ) | `[inline, virtual]`

| Get report of capabilities for the render window Reimplemented in vtkCocoaRenderWindow, vtkWin32OpenGLRenderWindow, vtkXMesaRenderWindow, and vtkXOpenGLRenderWindow. Definition at line 416 of file vtkRenderWindow.h.

virtual int vtkRenderWindow::SupportsOpenGL | ( |  | ) | `[inline, virtual]`

| Does this render window support OpenGL? 0-false, 1-true Reimplemented in vtkCocoaRenderWindow, vtkWin32OpenGLRenderWindow, vtkXMesaRenderWindow, and vtkXOpenGLRenderWindow. Definition at line 419 of file vtkRenderWindow.h.

virtual int vtkRenderWindow::IsDirect | ( |  | ) | `[inline, virtual]`

| Is this render window using hardware acceleration? 0-false, 1-true Reimplemented in vtkCocoaRenderWindow, vtkWin32OpenGLRenderWindow, vtkXMesaRenderWindow, and vtkXOpenGLRenderWindow. Definition at line 422 of file vtkRenderWindow.h.

virtual int vtkRenderWindow::GetDepthBufferSize | ( |  | ) | `[pure virtual]`

| This method should be defined by the subclass. How many bits of precision are there in the zbuffer? Implemented in vtkCarbonRenderWindow, vtkCocoaRenderWindow, vtkMesaRenderWindow, and vtkOpenGLRenderWindow.

virtual void vtkRenderWindow::DoStereoRender | ( |  | ) | `[protected, virtual]`

virtual void vtkRenderWindow::DoFDRender | ( |  | ) | `[protected, virtual]`

virtual void vtkRenderWindow::DoAARender | ( |  | ) | `[protected, virtual]`

## Member Data Documentation

vtkRendererCollection* vtkRenderWindow::Renderers`[protected]`

| Definition at line 436 of file vtkRenderWindow.h.

int vtkRenderWindow::Borders`[protected]`

| Definition at line 437 of file vtkRenderWindow.h.

int vtkRenderWindow::FullScreen`[protected]`

| Definition at line 438 of file vtkRenderWindow.h.

int vtkRenderWindow::OldScreen[5]`[protected]`

| Definition at line 439 of file vtkRenderWindow.h.

int vtkRenderWindow::PointSmoothing`[protected]`

| Definition at line 440 of file vtkRenderWindow.h.

int vtkRenderWindow::LineSmoothing`[protected]`

| Definition at line 441 of file vtkRenderWindow.h.

int vtkRenderWindow::PolygonSmoothing`[protected]`

| Definition at line 442 of file vtkRenderWindow.h.

int vtkRenderWindow::StereoRender`[protected]`

| Definition at line 443 of file vtkRenderWindow.h.

int vtkRenderWindow::StereoType`[protected]`

| Definition at line 444 of file vtkRenderWindow.h. Referenced by GetStereoTypeAsString().

int vtkRenderWindow::StereoStatus`[protected]`

| Definition at line 445 of file vtkRenderWindow.h.

int vtkRenderWindow::StereoCapableWindow`[protected]`

| Definition at line 446 of file vtkRenderWindow.h.

vtkRenderWindowInteractor* vtkRenderWindow::Interactor`[protected]`

| Definition at line 447 of file vtkRenderWindow.h.

unsigned char* vtkRenderWindow::StereoBuffer`[protected]`

| Definition at line 448 of file vtkRenderWindow.h.

float* vtkRenderWindow::AccumulationBuffer`[protected]`

| Definition at line 449 of file vtkRenderWindow.h.

unsigned int vtkRenderWindow::AccumulationBufferSize`[protected]`

| Definition at line 450 of file vtkRenderWindow.h.

int vtkRenderWindow::AAFrames`[protected]`

| Definition at line 451 of file vtkRenderWindow.h.

int vtkRenderWindow::FDFrames`[protected]`

| Definition at line 452 of file vtkRenderWindow.h.

int vtkRenderWindow::SubFrames`[protected]`

| Definition at line 453 of file vtkRenderWindow.h.

int vtkRenderWindow::CurrentSubFrame`[protected]`

| Definition at line 454 of file vtkRenderWindow.h.

unsigned char* vtkRenderWindow::ResultFrame`[protected]`

| Definition at line 455 of file vtkRenderWindow.h.

int vtkRenderWindow::SwapBuffers`[protected]`

| Definition at line 456 of file vtkRenderWindow.h.

float vtkRenderWindow::DesiredUpdateRate`[protected]`

| Definition at line 457 of file vtkRenderWindow.h.

int vtkRenderWindow::AbortRender`[protected]`

| Definition at line 458 of file vtkRenderWindow.h.

int vtkRenderWindow::InAbortCheck`[protected]`

| Definition at line 459 of file vtkRenderWindow.h.

int vtkRenderWindow::InRender`[protected]`

| Definition at line 460 of file vtkRenderWindow.h.

int vtkRenderWindow::NeverRendered`[protected]`

| Definition at line 461 of file vtkRenderWindow.h.

int vtkRenderWindow::NumberOfLayers`[protected]`

| Definition at line 462 of file vtkRenderWindow.h.

void(* vtkRenderWindow::AbortCheckMethod)(void *)`[protected]`

void(* vtkRenderWindow::AbortCheckMethodArgDelete)(void *)`[protected]`

void* vtkRenderWindow::AbortCheckMethodArg`[protected]`

| Definition at line 465 of file vtkRenderWindow.h.

int vtkRenderWindow::CurrentCursor`[protected]`

| Definition at line 466 of file vtkRenderWindow.h.

int vtkRenderWindow::IsPicking`[protected]`

| Definition at line 467 of file vtkRenderWindow.h.

The documentation for this class was generated from the following file:

- Rendering/vtkRenderWindow.h